function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class HttpError extends Error {
  constructor(msg, httpStatus) {
    super(msg);

    _defineProperty(this, "status", void 0);

    this.name = 'HttpError';
    this.status = httpStatus;
    Object.setPrototypeOf(this, new.target.prototype);
  }

}

export default HttpError;
//# sourceMappingURL=http-error.js.map